<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-sale-heading" jhiTranslate="bikeBackendApp.sale.home.createOrEditLabel">Create or edit a Sale</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.sale.dateSale" for="field_dateSale">Date Sale</label>
                    <div class="d-flex">
                        <input id="field_dateSale" type="datetime-local" class="form-control" name="dateSale" formControlName="dateSale" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.sale.bike" for="field_bike">Bike</label>
                    <select class="form-control" id="field_bike" name="bike" formControlName="bikeId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="bikeOption.id" *ngFor="let bikeOption of bikes; trackBy: trackById">{{ bikeOption.model }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="bikeBackendApp.sale.client" for="field_client">Client</label>
                    <select class="form-control" id="field_client" name="client" formControlName="clientId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id" *ngFor="let userOption of users; trackBy: trackById">{{ userOption.firstName }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
